Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(33)

Issue 18095: In chromium, context menu is displayed when right mouse button is released.... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 9 months ago by DeArto20
Modified:
6 years, 5 months ago
CC:
chromium-reviews_googlegroups.com
Visibility:
Public.

Description

In chromium, a context menu is displayed when right mouse button is 'released'. (e.g. context menu for a tab, etc) However, unlike other cases, a context menu for an app (the context menu that is displayed on the title bar) is created when right mouse button is 'pressed'. So, for a consistency, modify it so that the context menu for an app is displayed not on mouse-press but on mouse-release like other cases. * Above is also described on the 'Comment 11 by sy3620, Jan 08, 2009' in Issue 5695. This is not about fixing the bug, but suggesting about changing the way the context menu for an app is displayed. http://crbug.com/5695

Patch Set 1 #

Total comments: 14

Patch Set 2 : '' #

Total comments: 14

Patch Set 3 : '' #

Patch Set 4 : '' #

Total comments: 4

Patch Set 5 : '' #

Patch Set 6 : '' #

Patch Set 7 : '' #

Total comments: 4

Patch Set 8 : '' #

Patch Set 9 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+42 lines, -4 lines) Patch
M views/window/window_win.h View 7 8 2 chunks +6 lines, -0 lines 0 comments Download
M views/window/window_win.cc View 7 8 2 chunks +36 lines, -4 lines 0 comments Download
Trybot results:
Commit queue not available (can’t edit this change).

Messages

Total messages: 40 (0 generated)
DeArto20
8 years, 9 months ago (2009-01-15 15:39:18 UTC) #1
Finnur
I don't think you need two people to review this code and since I am ...
8 years, 9 months ago (2009-01-15 17:40:15 UTC) #2
Ben Goodger (Google)
http://codereview.chromium.org/18095/diff/1/2 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/1/2#newcode426 Line 426: RunSystemMenu(cursor_point); why can't you just do this in ...
8 years, 9 months ago (2009-01-15 19:36:59 UTC) #3
DeArto20
Basically, when the user releases the right mouse button on the title bar, WM_NCRBUTTONUP is ...
8 years, 9 months ago (2009-01-15 21:32:57 UTC) #4
Peter Kasting
On 2009/01/15 21:32:57, DeArto20 wrote: > Basically, when the user releases the right mouse button ...
8 years, 9 months ago (2009-01-15 21:36:07 UTC) #5
DeArto20
Are there any problems in using SetCapture() and ReleaseCapture() in this way? Plz check following ...
8 years, 9 months ago (2009-01-16 05:25:03 UTC) #6
Peter Kasting
On 2009/01/16 05:25:03, DeArto20 wrote: > [1] Wine - Open Source Project (http://www.winehq.org) > The ...
8 years, 9 months ago (2009-01-16 17:54:34 UTC) #7
Peter Kasting
http://codereview.chromium.org/18095/diff/1/2 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/1/2#newcode400 Line 400: is_right_mouse_pressed_on_caption_ = true; Nit: Don't add a blank ...
8 years, 9 months ago (2009-01-16 17:57:54 UTC) #8
DeArto20
http://codereview.chromium.org/18095/diff/1/2 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/1/2#newcode400 Line 400: is_right_mouse_pressed_on_caption_ = true; On 2009/01/16 17:57:55, pkasting wrote: ...
8 years, 9 months ago (2009-01-18 06:20:39 UTC) #9
DeArto20
Besides the Windows native behavior, 'SetCapture() & ReleaseCapture()' method is already used in other cases ...
8 years, 9 months ago (2009-01-19 13:09:19 UTC) #10
rtanabe999
handle WM_CONTEXTMENU ?
8 years, 8 months ago (2009-02-12 08:31:54 UTC) #11
DeArto20
The context menu on the title bar is displayed not on processing WM_CONTEXTMENU but on ...
8 years, 8 months ago (2009-02-13 02:05:28 UTC) #12
DeArto20
Code Modifications: I have modified all the points that pkasting has indicated. The Way It ...
8 years, 8 months ago (2009-02-15 17:46:29 UTC) #13
DeArto20
Do you need more time to finish this issue? It's about one month after I ...
8 years, 7 months ago (2009-03-22 11:49:45 UTC) #14
Peter Kasting
http://codereview.chromium.org/18095/diff/12/205 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/12/205#newcode410 Line 410: if (is_right_mouse_pressed_on_caption_) { Nit: no {} http://codereview.chromium.org/18095/diff/12/205#newcode417 Line ...
8 years, 7 months ago (2009-03-23 01:04:06 UTC) #15
DeArto20
http://codereview.chromium.org/18095/diff/12/205 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/12/205#newcode410 Line 410: if (is_right_mouse_pressed_on_caption_) { On 2009/03/23 01:04:06, pkasting wrote: ...
8 years, 7 months ago (2009-03-23 15:20:16 UTC) #16
Peter Kasting
http://codereview.chromium.org/18095/diff/12/205 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/12/205#newcode417 Line 417: void Window::OnRButtonUp(UINT ht_component, const CPoint& point) { On ...
8 years, 7 months ago (2009-03-23 16:29:30 UTC) #17
DeArto20
http://codereview.chromium.org/18095/diff/12/205 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/12/205#newcode417 Line 417: void Window::OnRButtonUp(UINT ht_component, const CPoint& point) { On ...
8 years, 7 months ago (2009-03-23 22:45:47 UTC) #18
Peter Kasting
LGTM with nits http://codereview.chromium.org/18095/diff/4401/3402 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/4401/3402#newcode434 Line 434: // When the right mouse ...
8 years, 7 months ago (2009-03-23 23:10:39 UTC) #19
DeArto20
http://codereview.chromium.org/18095/diff/4401/3402 File chrome/views/window.cc (right): http://codereview.chromium.org/18095/diff/4401/3402#newcode434 Line 434: // When the right mouse button is pressed ...
8 years, 7 months ago (2009-03-24 12:29:27 UTC) #20
DeArto20
I have modified all that you indicated. So, If there are no more problems, please ...
8 years, 6 months ago (2009-03-26 16:55:29 UTC) #21
Peter Kasting
On 2009/03/26 16:55:29, DeArto20 wrote: > I have modified all that you indicated. > > ...
8 years, 6 months ago (2009-03-26 17:24:05 UTC) #22
DeArto20
I have updated to the latest source and made new patch. Check the new patch ...
8 years, 6 months ago (2009-03-28 03:19:48 UTC) #23
Peter Kasting
On 2009/03/28 03:19:48, DeArto20 wrote: > I have updated to the latest source and made ...
8 years, 6 months ago (2009-03-31 17:55:37 UTC) #24
Peter Kasting
ping
8 years, 5 months ago (2009-05-21 21:36:08 UTC) #25
DeArto20
On 2009/05/21 21:36:08, pkasting wrote: > ping I updated my chrome browser to the new ...
8 years, 5 months ago (2009-05-23 10:24:48 UTC) #26
DeArto20
On 2009/05/23 10:24:48, DeArto20 wrote: > On 2009/05/21 21:36:08, pkasting wrote: > > ping > ...
8 years, 4 months ago (2009-06-01 18:04:38 UTC) #27
sky
As far as I can tell Peter had concerns about your patch a couple months ...
8 years, 4 months ago (2009-06-01 18:07:27 UTC) #28
DeArto20
On 2009/06/01 18:07:27, sky wrote: > As far as I can tell Peter had concerns ...
8 years, 4 months ago (2009-06-03 05:35:21 UTC) #29
DeArto20
Modified the following problem. : When the mouse button is released while the mouse position ...
8 years, 4 months ago (2009-06-06 21:00:12 UTC) #30
Peter Kasting
http://codereview.chromium.org/18095/diff/9405/10402 File views/window/window_win.cc (right): http://codereview.chromium.org/18095/diff/9405/10402#newcode976 Line 976: ::SendMessage(GetNativeView(), WM_NCHITTEST, 0, MAKELPARAM(temp.x, temp.y)); Nit: This line ...
8 years, 4 months ago (2009-06-06 22:07:10 UTC) #31
DeArto20
http://codereview.chromium.org/18095/diff/9405/10402 File views/window/window_win.cc (right): http://codereview.chromium.org/18095/diff/9405/10402#newcode976 Line 976: ::SendMessage(GetNativeView(), WM_NCHITTEST, 0, MAKELPARAM(temp.x, temp.y)); I modified the ...
8 years, 4 months ago (2009-06-07 08:03:30 UTC) #32
DeArto20
http://codereview.chromium.org/18095/diff/9405/10402 File views/window/window_win.cc (right): http://codereview.chromium.org/18095/diff/9405/10402#newcode976 Line 976: ::SendMessage(GetNativeView(), WM_NCHITTEST, 0, MAKELPARAM(temp.x, temp.y)); On 2009/06/07 08:03:31, ...
8 years, 4 months ago (2009-06-07 08:05:05 UTC) #33
Peter Kasting
http://codereview.chromium.org/18095/diff/9405/10402 File views/window/window_win.cc (right): http://codereview.chromium.org/18095/diff/9405/10402#newcode976 Line 976: ::SendMessage(GetNativeView(), WM_NCHITTEST, 0, MAKELPARAM(temp.x, temp.y)); On 2009/06/07 08:03:31, ...
8 years, 4 months ago (2009-06-07 23:24:09 UTC) #34
DeArto20
What we wanna know here is whether the hit was occurred on the caption bar ...
8 years, 4 months ago (2009-06-08 16:19:21 UTC) #35
Peter Kasting
On 2009/06/08 16:19:21, DeArto20 wrote: > What we wanna know here is whether the hit ...
8 years, 4 months ago (2009-06-08 17:32:45 UTC) #36
DeArto20
Please commit this patch for me (I don't have the access right to the server). ...
8 years, 4 months ago (2009-06-09 14:33:58 UTC) #37
Peter Kasting
On 2009/06/09 14:33:58, DeArto20 wrote: > Please commit this patch for me (I don't have ...
8 years, 4 months ago (2009-06-09 21:27:14 UTC) #38
DeArto20
I modified the indicated (screen-vs.-window coordinate transform) problem.
8 years, 4 months ago (2009-06-10 15:46:18 UTC) #39
Peter Kasting
8 years, 4 months ago (2009-06-11 17:21:54 UTC) #40
Modified and landed in r18170.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa